updateFirefoxNightly:
  image: cocainefarm/gentoo:latest
  tags:
    - k8s
  only:
    - schedules
  before_script:
    - eval `ssh-agent -s`
    - echo "${COCAINE_DEALER_SSH_KEY}" | tr -d '\r' | ssh-add - > /dev/null
    - mkdir -p ~/.ssh
    - chmod 700 ~/.ssh
    - echo "${COCAINE_DEALER_SSH_PUB_KEY}" >> ~/.ssh/id_rsa.pub
    - 'echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
  script:
    - git config --global user.email "info@cocaine.farm"
    - git config --global user.name "Cocaine Dealer"
    - git remote rm origin && git remote add origin git@gitlab.com:$CI_PROJECT_PATH.git
    - git fetch && git checkout master
    - ./www-client/firefox-nightly-bin/updater.sh
